# Generated from ae-1.8.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name ae

Name: rubygem-%{gem_name}
Version: 1.8.2
Release: 1%{?dist}
Summary: Assertive Expressive
License: BSD-2-Clause
URL: http://rubyworks.github.com/ae
Source0: %{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(detroit)
# BuildRequires: rubygem(qed)
BuildArch: noarch

%description
Assertive Expressive is an assertions library specifically designed 
for reuse by other test frameworks.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.ruby
%exclude %{gem_instdir}/.yardopts
%{gem_libdir}
%{gem_instdir}/NOTICE.md
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/DEMO.rdoc
%doc %{gem_instdir}/HISTORY.md
%doc %{gem_instdir}/README.md

%changelog
* Thu Jun 13 2019 Pavel Valena <pvalena@redhat.com> - 1.8.2-1
- Initial package
